MP4(3)

NAME

MP4BinaryToBase64 - Convert binary data to a base 64 string

SYNTAX

#include <mp4.h>

char* MP4BinaryToBase64(
    const u_int8_t* pData,
    u_int32_t dataSize
)

ARGUMENTS

pData
    Specifies the pointer to the binary data.

dataSize
    Specifies the size in bytes of the binary data.

RETURN VALUES

Upon success, a null terminated string representing the data in base 64. Upon error, NULL.

DESCRIPTION

MP4BinaryToBase64 converts binary data to a base 64 string. This encoding maps groups of 6 bits into the character set [A-Za-z0-9+/=]. The string is in malloc'd memory, so the caller is responsible for free'ing the memory.

This utility is useful for generating the SDP descriptions for some RTP payloads.

Example:
    0x12, 0xAB -> "Eqs="

SEE ALSO

MP4(3)